---
title: llarp::sys

---

# llarp::sys



## Classes

|                | Name           |
| -------------- | -------------- |
| class | **[llarp::sys::I_SystemLayerManager](Classes/classllarp_1_1sys_1_1I__SystemLayerManager.md)** <br>interface type for interacting with the os dependant system layer  |
| class | **[llarp::sys::NOP_SystemLayerHandler](Classes/classllarp_1_1sys_1_1NOP__SystemLayerHandler.md)**  |
| class | **[llarp::sys::SVC_Manager](Classes/classllarp_1_1sys_1_1SVC__Manager.md)**  |

## Types

|                | Name           |
| -------------- | -------------- |
| enum class| **[ServiceState](Namespaces/namespacellarp_1_1sys.md#enum-servicestate)** { Initial, Starting, Running, Stopping, Stopped, HardStop, Failed} |

## Attributes

|                | Name           |
| -------------- | -------------- |
| [I_SystemLayerManager](Classes/classllarp_1_1sys_1_1I__SystemLayerManager.md) *const | **[service_manager](Namespaces/namespacellarp_1_1sys.md#variable-service-manager)**  |

## Types Documentation

### enum ServiceState

| Enumerator | Value | Description |
| ---------- | ----- | ----------- |
| Initial | |   |
| Starting | |   |
| Running | |   |
| Stopping | |   |
| Stopped | |   |
| HardStop | |   |
| Failed | |   |






## Attributes Documentation

### variable service_manager

```cpp
I_SystemLayerManager *const service_manager;
```





-------------------------------

Updated on 2022-11-17 at 22:27:42 +0000